Name:		yoshimi
Version:	1.4.1
Release:	1%{?dist}
Summary:	Rewrite of ZynAddSubFx aiming for better JACK support

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://sourceforge.net/projects/%{name}
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch0:		%{name}-cflags.patch
#Patch1:		%{name}-gcc6.patch

BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	cmake 
BuildRequires:	zlib-devel 
BuildRequires:	fontconfig-devel
BuildRequires:	fltk-devel 
BuildRequires:	fltk-fluid 
BuildRequires:	fftw3-devel
BuildRequires:	mxml-devel 
BuildRequires:	alsa-lib-devel 
BuildRequires:	libsndfile-devel
BuildRequires:	desktop-file-utils 
BuildRequires:	boost-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	cairo-devel
BuildRequires:  lv2-devel
BuildRequires:  readline-devel

%description

Yoshimi is a rewrite of ZynAddSubFx to improve its compatibility with
the Jack Audio Connection Kit.

ZynAddSubFX is an open source software synthesizer capable of making a
countless number of instrument sounds. It is microtonal, and the instruments
made by it sounds like those from professional keyboards. The program has
effects like Reverb, Echo, Chorus, Phaser...

%prep
%setup -q
%patch0 -p1
#%patch1 -p1

%build
cd src
export CFLAGS="%{optflags}"
%cmake -DCMAKE_CXX_FLAGS="$cxxflags" -DFLTK_INCLUDE_DIR=%{_includedir}/Fl .
make VERBOSE=1 %{?_smp_mflags}


%install
cd src
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m 644 ../desktop/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/

#Remove superfluous file
#rm %{buildroot}%{_datadir}/%{name}/banks/chip/.bankdir

# Fix directory permissions without affecting patch files
chmod 755 %{buildroot}%{_datadir}/%{name}/banks
chmod 755 %{buildroot}%{_datadir}/%{name}/banks/*
chmod 755 %{buildroot}%{_datadir}/%{name}/presets
chmod 755 %{buildroot}%{_datadir}/%{name}/presets/*


%post
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor/scalable/apps/ >&/dev/null || :

%postun
update-desktop-database -q
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor/scalable/apps >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor/scalable/apps >&/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor.scalable/apps &>/dev/null || :

%files
%doc Changelog COPYING README.txt doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}/banks/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/presets/
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}_alt.svg
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/examples/
%{_libdir}/lv2/%{name}.lv2/
%{_mandir}/man1/yoshimi.1*

%changelog
* Mon Sep 05 2016 Adam Huffman <bloch@verdurin.com> - 1.4.1-1
- Update to upstream release 1.4.1 (last update was to 1.4.0.1)

* Sat Jun 18 2016 Adam Huffman <bloch@verdurin.com> - 1.4.0.1-1
- Update to upstream bug-fix release 1.4.1

* Sun Mar 06 2016 Adam Huffman <bloch@verdurin.com> - 1.3.9-1
- Update to upstream release 1.3.9

* Sat Feb 13 2016 Adam Huffman <bloch@verdurin.com> - 1.3.8.2-2
- Patch for GCC6 build fixes

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 23 2016 Adam Huffman <bloch@verdurin.com> - 1.3.8.2-1
- Update to upstream bug-fix release 1.3.8.2

* Tue Jan 19 2016 Adam Huffman <bloch@verdurin.com> - 1.3.8.1-1
- Update to upstream release 1.3.8.1
- Include new manpage

* Wed Dec 02 2015 Adam Huffman <bloch@verdurin.com> - 1.3.7.1-1
- Update to upstream bugfix release 1.3.7.1
- Remove upstreamed patch for lv2 libdir

* Sat Nov 21 2015 Adam Huffman <bloch@verdurin.com> - 1.3.7-1
- Update to upstream release 1.3.7
- Add readline BR
- Add patch for lv2 libdir on x86_64

* Sat Oct 10 2015 Adam Huffman <bloch@verdurin.com> - 1.3.6-1
- Update to upstream release 1.3.6

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 1.3.5.2-5
- Rebuilt for Boost 1.59

* Wed Aug 5 2015 Adam Huffman <bloch@verdurin.com> - 1.3.5.2-4
- Ensure all documentation files are included

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 1.3.5.2-2
- rebuild for Boost 1.58

* Sun Jul 19 2015 Adam Huffman >bloch@verdurin.com> - 1.3.5.2-1
- Update to upstream release 1.3.5.2

* Wed Jul 01 2015 Adam Huffman <bloch@verdurin.com> - 1.3.5.1-1
- Update to upstream release 1.3.5.1

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.3.4-2
- Rebuilt for GCC 5 C++11 ABI change

* Sun Apr 05 2015 Adam Huffman <bloch@verdurin.com> - 1.3.4-1
- Update to upstream release 1.3.4

* Sat Mar 07 2015 Adam Huffman <bloch@verdurin.com> - 1.3.3-2
- Include new SVG icon

* Fri Mar 06 2015 Adam Huffman <bloch@verdurin.com> - 1.3.3-1
- Update to upstream release 1.3.3

* Thu Feb 19 2015 Adam Huffman <bloch@verdurin.com> - 1.3.2-3
- patch to fix format security warnings

* Thu Feb 19 2015 Rex Dieter <rdieter@fedoraproject.org> 1.3.2-2
- rebuild (fltk)

* Sat Feb 07 2015 Adam Huffman <bloch@verdurin.com> - 1.3.2-1
- Update to 1.3.2

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 1.3.1-2
- Rebuild for boost 1.57.0

* Sat Dec 27 2014 Adam Huffman <bloch@verdurin.com> - 1.3.1-1
- Update to 1.3.1
- Add BR for lv2
- Add examples and lv2 directories

* Sun Oct 05 2014 Adam Huffman <bloch@verdurin.com> - 1.2.4-1
- Update to 1.2.4
- Notes file now replaced by Changelog

* Tue Sep 02 2014 Brendan Jones <brendan.jones.it@gmail.com> 1.2.3-2
- Correct notes

* Tue Sep 02 2014 Brendan Jones <brendan.jones.it@gmail.com> 1.2.3-1
- Update to 1.2.3

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jul 20 2014 Adam Huffman <bloch@verdurin.com> - 1.2.2-1
- Update to upstream 1.2.2
- Add appdata and new icon

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 30 2014 Adam Huffman <bloch@verdurin.com> - 1.2.1-1
- Update to 1.2.1
- Remove format-security patch, now that fix is in upstream
- Include README

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 1.2.0-3
- Rebuild for boost 1.55.0

* Mon May 19 2014 Peter Robinson <pbrobinson@fedoraproject.org> 1.2.0-2
- Re-add cflags patch to fix FTBFS

* Wed Mar 19 2014 Brendan Jones <brendan.jones.it@gmail.com> 1.2.0-1
- Update to 1.2.0

* Thu Aug  1 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1.1.0-4
- Use distro optflags rather than random project flags to fix FTBFS on ARM
- Modernise spec

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 1.1.0-3
- Rebuild for boost 1.54.0

* Thu May  9 2013 Adam Huffman <bloch@verdurin.com> - 1.1.0-2
- add cairo BR

* Thu May  9 2013 Adam Huffman <bloch@verdurin.com> - 1.1.0-1
- First build of new upstream release 1.1.0

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 29 2012 Adam Huffman <bloch@verdurin.com> - 1.0.0-3
- add BR for mesa-libGL-devel, needed by FLTK

* Mon Oct 29 2012 Adam Huffman <bloch@verdurin.com> - 1.0.0-2
- correct fix for FLTK header detection by cmake
- add pixmaps to files

* Mon Oct 29 2012 Adam Huffman <bloch@verdurin.com> - 1.0.0-1
- update to upstream 1.0.0 release
- fix FLTK detection, from Brendan Jones

* Sun Apr 15 2012 Adam Huffman <verdurin@fedoraproject.org> - 0.060.12-4
- add missing posttrans scriptlet

* Mon Feb 20 2012 Adam Huffman <verdurin@fedoraproject.org> - 0.060.12-3
- re-add downstream desktop file
- remove extra .bankdir file

* Sun Feb 19 2012 Adam Huffman <verdurin@fedoraproject.org> - 0.060.12-2
- use upstream desktop and icon files
- fix missing parameters in upstream desktop file
- actually remove FLTK patch

* Sun Jan  8 2012 Adam Huffman <verdurin@fedoraproject.org> - 0.060.12-1
- update to new upstream release 0.060.12
- remove FLTK 1.3 patch

* Mon Aug 29 2011 Adam Huffman <bloch@verdurin.com> - 0.060.10-2
- add patch from Brendan Jones to fix compilation with FLTK 1.3

* Sun Apr 17 2011 Adam Huffman <bloch@verdurin.com> - 0.060.10-1
- new upstream release with further licensing clarification

* Mon Apr 11 2011 Adam Huffman <bloch@verdurin.com> - 0.060.9-1
- new upstream release with licence clarification

* Sun Apr 10 2011 Adam Huffman <bloch@verdurin.com> - 0.060.8-2
- add COPYING and notes to docs

* Sat Apr  9 2011 Adam Huffman <bloch@verdurin.com> - 0.060.8-1
- new upstream release 0.060.8
- add boost-devel BR
- consistent use of macros
- fix directory permissions for banks/presets

* Sun Jun 20 2010 Adam Huffman <bloch@verdurin.com> - 0.058-1
- desktop file and icon added

* Sun May 16 2010 Adam Huffman <bloch@verdurin.com> - 0.056-1
- new upstream release, fixing PAD synth patch problems

* Sun Mar 28 2010 Adam Huffman <bloch@verdurin.com> - 0.055.6-1
- new upstream bugfilx release

* Sat Mar 13 2010 Adam Huffman <bloch@verdurin.com> - 0.055.3-1
- initial version

